"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  AddCountryGroupRequest: () => AddCountryGroupRequest,
  AddCountryGroupResponse: () => AddCountryGroupResponse,
  AnonymizationAdmin$: () => AnonymizationAdmin$,
  AnonymizationAdminApi: () => AnonymizationAdminApi,
  Basic: () => Basic,
  ConfigAdmin$: () => ConfigAdmin$,
  ConfigAdminApi: () => ConfigAdminApi,
  ConfigCreate: () => ConfigCreate,
  ConfigInfo: () => ConfigInfo,
  ConfigUpdate: () => ConfigUpdate,
  CountryGroupObject: () => CountryGroupObject,
  CountryObject: () => CountryObject,
  CountryObjectArray: () => CountryObjectArray,
  ErrorEntity: () => ErrorEntity,
  FieldValidationError: () => FieldValidationError,
  FileUpload$: () => FileUpload$,
  FileUploadAdmin$: () => FileUploadAdmin$,
  FileUploadAdminApi: () => FileUploadAdminApi,
  FileUploadApi: () => FileUploadApi,
  FileUploadUrlInfo: () => FileUploadUrlInfo,
  Misc$: () => Misc$,
  MiscAdmin$: () => MiscAdmin$,
  MiscAdminApi: () => MiscAdminApi,
  MiscApi: () => MiscApi,
  Namespace$: () => Namespace$,
  NamespaceAdmin$: () => NamespaceAdmin$,
  NamespaceAdminApi: () => NamespaceAdminApi,
  NamespaceApi: () => NamespaceApi,
  NamespaceContext: () => NamespaceContext,
  NamespaceCreate: () => NamespaceCreate,
  NamespaceInfo: () => NamespaceInfo,
  NamespaceInfoArray: () => NamespaceInfoArray,
  NamespacePublisherInfo: () => NamespacePublisherInfo,
  NamespaceSimpleInfo: () => NamespaceSimpleInfo,
  NamespaceStatusUpdate: () => NamespaceStatusUpdate,
  NamespaceUpdate: () => NamespaceUpdate,
  Permission: () => Permission,
  RetrieveCountryGroupResponse: () => RetrieveCountryGroupResponse,
  RetrieveCountryGroupResponseArray: () => RetrieveCountryGroupResponseArray,
  RetrieveTimeResponse: () => RetrieveTimeResponse,
  UpdateCountryGroupRequest: () => UpdateCountryGroupRequest,
  UserProfile$: () => UserProfile$,
  UserProfileAdmin: () => UserProfileAdmin,
  UserProfileAdmin$: () => UserProfileAdmin$,
  UserProfileAdminApi: () => UserProfileAdminApi,
  UserProfileApi: () => UserProfileApi,
  UserProfileBulkRequest: () => UserProfileBulkRequest,
  UserProfileCreate: () => UserProfileCreate,
  UserProfileInfo: () => UserProfileInfo,
  UserProfilePrivateCreate: () => UserProfilePrivateCreate,
  UserProfilePrivateInfo: () => UserProfilePrivateInfo,
  UserProfilePublicInfo: () => UserProfilePublicInfo,
  UserProfilePublicInfoArray: () => UserProfilePublicInfoArray,
  UserProfileStatusUpdate: () => UserProfileStatusUpdate,
  UserProfileUpdate: () => UserProfileUpdate,
  UserZipCode: () => UserZipCode,
  UserZipCodeUpdate: () => UserZipCodeUpdate,
  ValidationErrorEntity: () => ValidationErrorEntity
});
module.exports = __toCommonJS(src_exports);

// src/generated-admin/NamespaceAdminApi.ts
var import_sdk2 = require("@accelbyte/sdk");

// src/generated-admin/endpoints/NamespaceAdmin$.ts
var import_sdk = require("@accelbyte/sdk");

// src/generated-definitions/NamespaceContext.ts
var import_zod = require("zod");
var NamespaceContext = import_zod.z.object({
  namespace: import_zod.z.string().nullish(),
  publisherNamespace: import_zod.z.string().nullish(),
  studioNamespace: import_zod.z.string().nullish(),
  type: import_zod.z.enum(["Game", "Publisher", "Studio"]).nullish()
});

// src/generated-definitions/NamespaceInfo.ts
var import_zod2 = require("zod");
var NamespaceInfo = import_zod2.z.object({
  clientId: import_zod2.z.string().nullish(),
  createdAt: import_zod2.z.string().nullish(),
  displayName: import_zod2.z.string(),
  namespace: import_zod2.z.string(),
  parentNamespace: import_zod2.z.string().nullish(),
  status: import_zod2.z.enum(["ACTIVE", "DELETED", "INACTIVE"]).nullish(),
  updatedAt: import_zod2.z.string().nullish()
});

// src/generated-definitions/NamespaceInfoArray.ts
var import_zod3 = require("zod");
var NamespaceInfoArray = import_zod3.z.array(NamespaceInfo);

// src/generated-definitions/NamespacePublisherInfo.ts
var import_zod4 = require("zod");
var NamespacePublisherInfo = import_zod4.z.object({ publisher: import_zod4.z.boolean().nullish(), publisherNamespace: import_zod4.z.string().nullish() });

// src/generated-admin/endpoints/NamespaceAdmin$.ts
var NamespaceAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  getNamespaces(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces";
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
  }
  createNamespace(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces";
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return import_sdk.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  deleteNamespace_ByNamespace() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return import_sdk.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  getNamespace_ByNamespace(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  getGame(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/game".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
  }
  patchBasic(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/basic".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return import_sdk.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  getChild(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/child".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
  }
  patchStatus(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/status".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return import_sdk.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  getContext() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/context".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceContext, "NamespaceContext");
  }
  getPublisher() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/publisher".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      NamespacePublisherInfo,
      "NamespacePublisherInfo"
    );
  }
};

// src/generated-admin/NamespaceAdminApi.ts
function NamespaceAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = import_sdk2.ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function getNamespaces(queryParams) {
    const $ = new NamespaceAdmin$(import_sdk2.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getNamespaces(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createNamespace(data) {
    const $ = new NamespaceAdmin$(import_sdk2.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createNamespace(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteNamespace_ByNamespace() {
    const $ = new NamespaceAdmin$(import_sdk2.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.deleteNamespace_ByNamespace();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getNamespace_ByNamespace(queryParams) {
    const $ = new NamespaceAdmin$(import_sdk2.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getNamespace_ByNamespace(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getGame(queryParams) {
    const $ = new NamespaceAdmin$(import_sdk2.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getGame(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchBasic(data) {
    const $ = new NamespaceAdmin$(import_sdk2.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchBasic(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getChild(queryParams) {
    const $ = new NamespaceAdmin$(import_sdk2.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getChild(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchStatus(data) {
    const $ = new NamespaceAdmin$(import_sdk2.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchStatus(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getContext() {
    const $ = new NamespaceAdmin$(import_sdk2.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getContext();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisher() {
    const $ = new NamespaceAdmin$(import_sdk2.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getPublisher();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getNamespaces,
    createNamespace,
    deleteNamespace_ByNamespace,
    getNamespace_ByNamespace,
    getGame,
    patchBasic,
    getChild,
    patchStatus,
    getContext,
    getPublisher
  };
}

// src/generated-admin/ConfigAdminApi.ts
var import_sdk4 = require("@accelbyte/sdk");

// src/generated-admin/endpoints/ConfigAdmin$.ts
var import_sdk3 = require("@accelbyte/sdk");
var import_zod6 = require("zod");

// src/generated-definitions/ConfigInfo.ts
var import_zod5 = require("zod");
var ConfigInfo = import_zod5.z.object({
  createdAt: import_zod5.z.string().nullish(),
  key: import_zod5.z.string().nullish(),
  namespace: import_zod5.z.string().nullish(),
  updatedAt: import_zod5.z.string().nullish(),
  value: import_zod5.z.string().nullish()
});

// src/generated-admin/endpoints/ConfigAdmin$.ts
var ConfigAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  createConfig(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return import_sdk3.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, ConfigInfo, "ConfigInfo");
  }
  deleteConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return import_sdk3.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod6.z.unknown(), "z.unknown()");
  }
  getConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk3.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, ConfigInfo, "ConfigInfo");
  }
  patchConfig_ByConfigKey(configKey, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return import_sdk3.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, ConfigInfo, "ConfigInfo");
  }
  getPublisherConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/publisher/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk3.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, ConfigInfo, "ConfigInfo");
  }
};

// src/generated-admin/ConfigAdminApi.ts
function ConfigAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = import_sdk4.ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function createConfig(data) {
    const $ = new ConfigAdmin$(import_sdk4.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createConfig(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(import_sdk4.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.deleteConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(import_sdk4.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchConfig_ByConfigKey(configKey, data) {
    const $ = new ConfigAdmin$(import_sdk4.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchConfig_ByConfigKey(configKey, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisherConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(import_sdk4.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getPublisherConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createConfig,
    deleteConfig_ByConfigKey,
    getConfig_ByConfigKey,
    patchConfig_ByConfigKey,
    getPublisherConfig_ByConfigKey
  };
}

// src/generated-admin/MiscAdminApi.ts
var import_sdk6 = require("@accelbyte/sdk");

// src/generated-admin/endpoints/MiscAdmin$.ts
var import_sdk5 = require("@accelbyte/sdk");
var import_zod13 = require("zod");

// src/generated-definitions/AddCountryGroupResponse.ts
var import_zod8 = require("zod");

// src/generated-definitions/CountryObject.ts
var import_zod7 = require("zod");
var CountryObject = import_zod7.z.object({ code: import_zod7.z.string().nullish(), name: import_zod7.z.string().nullish() });

// src/generated-definitions/AddCountryGroupResponse.ts
var AddCountryGroupResponse = import_zod8.z.object({
  countries: import_zod8.z.array(CountryObject).nullish(),
  countryGroupCode: import_zod8.z.string().nullish(),
  countryGroupName: import_zod8.z.string().nullish()
});

// src/generated-definitions/CountryGroupObject.ts
var import_zod9 = require("zod");
var CountryGroupObject = import_zod9.z.object({
  countries: import_zod9.z.array(CountryObject).nullish(),
  countryGroupCode: import_zod9.z.string().nullish(),
  countryGroupName: import_zod9.z.string().nullish()
});

// src/generated-definitions/CountryObjectArray.ts
var import_zod10 = require("zod");
var CountryObjectArray = import_zod10.z.array(CountryObject);

// src/generated-definitions/RetrieveCountryGroupResponseArray.ts
var import_zod12 = require("zod");

// src/generated-definitions/RetrieveCountryGroupResponse.ts
var import_zod11 = require("zod");
var RetrieveCountryGroupResponse = import_zod11.z.object({
  countries: import_zod11.z.array(CountryObject).nullish(),
  countryGroupCode: import_zod11.z.string().nullish(),
  countryGroupName: import_zod11.z.string().nullish()
});

// src/generated-definitions/RetrieveCountryGroupResponseArray.ts
var RetrieveCountryGroupResponseArray = import_zod12.z.array(RetrieveCountryGroupResponse);

// src/generated-admin/endpoints/MiscAdmin$.ts
var MiscAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  getMiscCountries_DEPRECATED(queryParams) {
    const params = { lang: "en", ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countries".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk5.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, CountryObjectArray, "CountryObjectArray");
  }
  getMiscLanguages() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/languages".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk5.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod13.z.unknown(), "z.unknown()");
  }
  getMiscTimezones() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/timezones".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk5.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod13.z.unknown(), "z.unknown()");
  }
  getMiscCountrygroups(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk5.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      RetrieveCountryGroupResponseArray,
      "RetrieveCountryGroupResponseArray"
    );
  }
  createMiscCountrygroup(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return import_sdk5.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      AddCountryGroupResponse,
      "AddCountryGroupResponse"
    );
  }
  deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups/{countryGroupCode}".replace("{namespace}", this.namespace).replace("{countryGroupCode}", countryGroupCode);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return import_sdk5.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod13.z.unknown(), "z.unknown()");
  }
  updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups/{countryGroupCode}".replace("{namespace}", this.namespace).replace("{countryGroupCode}", countryGroupCode);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return import_sdk5.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, CountryGroupObject, "CountryGroupObject");
  }
};

// src/generated-admin/MiscAdminApi.ts
function MiscAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = import_sdk6.ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function getMiscCountries_DEPRECATED(queryParams) {
    const $ = new MiscAdmin$(import_sdk6.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscCountries_DEPRECATED(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscLanguages() {
    const $ = new MiscAdmin$(import_sdk6.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscLanguages();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscTimezones() {
    const $ = new MiscAdmin$(import_sdk6.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscTimezones();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscCountrygroups(queryParams) {
    const $ = new MiscAdmin$(import_sdk6.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscCountrygroups(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createMiscCountrygroup(data) {
    const $ = new MiscAdmin$(import_sdk6.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createMiscCountrygroup(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode) {
    const $ = new MiscAdmin$(import_sdk6.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data) {
    const $ = new MiscAdmin$(import_sdk6.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getMiscCountries_DEPRECATED,
    getMiscLanguages,
    getMiscTimezones,
    getMiscCountrygroups,
    createMiscCountrygroup,
    deleteMiscCountrygroup_ByCountryGroupCode,
    updateMiscCountrygroup_ByCountryGroupCode
  };
}

// src/generated-admin/UserProfileAdminApi.ts
var import_sdk8 = require("@accelbyte/sdk");

// src/generated-admin/endpoints/UserProfileAdmin$.ts
var import_sdk7 = require("@accelbyte/sdk");
var import_zod18 = require("zod");

// src/generated-definitions/UserProfileInfo.ts
var import_zod14 = require("zod");
var UserProfileInfo = import_zod14.z.object({
  avatarLargeUrl: import_zod14.z.string().nullish(),
  avatarSmallUrl: import_zod14.z.string().nullish(),
  avatarUrl: import_zod14.z.string().nullish(),
  customAttributes: import_zod14.z.record(import_zod14.z.any()).nullish(),
  dateOfBirth: import_zod14.z.string().nullish(),
  firstName: import_zod14.z.string().nullish(),
  language: import_zod14.z.string().nullish(),
  lastName: import_zod14.z.string().nullish(),
  namespace: import_zod14.z.string().nullish(),
  publicId: import_zod14.z.string().nullish(),
  status: import_zod14.z.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: import_zod14.z.string().nullish(),
  userId: import_zod14.z.string().nullish(),
  zipCode: import_zod14.z.string().nullish()
});

// src/generated-definitions/UserProfilePrivateInfo.ts
var import_zod15 = require("zod");
var UserProfilePrivateInfo = import_zod15.z.object({
  avatarLargeUrl: import_zod15.z.string().nullish(),
  avatarSmallUrl: import_zod15.z.string().nullish(),
  avatarUrl: import_zod15.z.string().nullish(),
  customAttributes: import_zod15.z.record(import_zod15.z.any()).nullish(),
  dateOfBirth: import_zod15.z.string().nullish(),
  firstName: import_zod15.z.string().nullish(),
  language: import_zod15.z.string().nullish(),
  lastName: import_zod15.z.string().nullish(),
  namespace: import_zod15.z.string().nullish(),
  privateCustomAttributes: import_zod15.z.record(import_zod15.z.any()).nullish(),
  publicId: import_zod15.z.string().nullish(),
  status: import_zod15.z.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: import_zod15.z.string().nullish(),
  userId: import_zod15.z.string().nullish(),
  zipCode: import_zod15.z.string().nullish()
});

// src/generated-definitions/UserProfilePublicInfoArray.ts
var import_zod17 = require("zod");

// src/generated-definitions/UserProfilePublicInfo.ts
var import_zod16 = require("zod");
var UserProfilePublicInfo = import_zod16.z.object({
  avatarLargeUrl: import_zod16.z.string().nullish(),
  avatarSmallUrl: import_zod16.z.string().nullish(),
  avatarUrl: import_zod16.z.string().nullish(),
  customAttributes: import_zod16.z.record(import_zod16.z.any()).nullish(),
  namespace: import_zod16.z.string().nullish(),
  publicId: import_zod16.z.string().nullish(),
  timeZone: import_zod16.z.string().nullish(),
  userId: import_zod16.z.string().nullish()
});

// src/generated-definitions/UserProfilePublicInfoArray.ts
var UserProfilePublicInfoArray = import_zod17.z.array(UserProfilePublicInfo);

// src/generated-admin/endpoints/UserProfileAdmin$.ts
var UserProfileAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  createProfilePublic(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return import_sdk7.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePublicInfoArray,
      "UserProfilePublicInfoArray"
    );
  }
  getProfilesByPublicId(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/profiles/byPublicId".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk7.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  deleteProfile_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return import_sdk7.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  getProfiles_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk7.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  updateProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return import_sdk7.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  patchProfileStatus_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/status".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return import_sdk7.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  getProfilesCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk7.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod18.z.unknown(), "z.unknown()");
  }
  updateProfileCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return import_sdk7.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod18.z.unknown(), "z.unknown()");
  }
  getProfilesPrivateCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/privateCustomAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk7.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod18.z.unknown(), "z.unknown()");
  }
  updateProfilePrivateCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/privateCustomAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return import_sdk7.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod18.z.unknown(), "z.unknown()");
  }
};

// src/generated-admin/UserProfileAdminApi.ts
function UserProfileAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = import_sdk8.ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function createProfilePublic(data) {
    const $ = new UserProfileAdmin$(import_sdk8.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createProfilePublic(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesByPublicId(queryParams) {
    const $ = new UserProfileAdmin$(import_sdk8.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesByPublicId(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteProfile_ByUserId(userId) {
    const $ = new UserProfileAdmin$(import_sdk8.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.deleteProfile_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfiles_ByUserId(userId) {
    const $ = new UserProfileAdmin$(import_sdk8.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfiles_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfile_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(import_sdk8.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchProfileStatus_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(import_sdk8.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchProfileStatus_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesCustomAttributes_ByUserId(userId) {
    const $ = new UserProfileAdmin$(import_sdk8.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfileCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(import_sdk8.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateProfileCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPrivateCustomAttributes_ByUserId(userId) {
    const $ = new UserProfileAdmin$(import_sdk8.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesPrivateCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfilePrivateCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(import_sdk8.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateProfilePrivateCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createProfilePublic,
    getProfilesByPublicId,
    deleteProfile_ByUserId,
    getProfiles_ByUserId,
    updateProfile_ByUserId,
    patchProfileStatus_ByUserId,
    getProfilesCustomAttributes_ByUserId,
    updateProfileCustomAttribute_ByUserId,
    getProfilesPrivateCustomAttributes_ByUserId,
    updateProfilePrivateCustomAttribute_ByUserId
  };
}

// src/generated-admin/FileUploadAdminApi.ts
var import_sdk10 = require("@accelbyte/sdk");

// src/generated-admin/endpoints/FileUploadAdmin$.ts
var import_sdk9 = require("@accelbyte/sdk");

// src/generated-definitions/FileUploadUrlInfo.ts
var import_zod19 = require("zod");
var FileUploadUrlInfo = import_zod19.z.object({
  accessUrl: import_zod19.z.string().nullish(),
  contentType: import_zod19.z.string().nullish(),
  method: import_zod19.z.string().nullish(),
  url: import_zod19.z.string().nullish()
});

// src/generated-admin/endpoints/FileUploadAdmin$.ts
var FileUploadAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  createFile_ByUserId(userId, queryParams) {
    const params = { category: "default", ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/files".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return import_sdk9.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
  createFile_ByFolder(folder, queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/folders/{folder}/files".replace("{namespace}", this.namespace).replace("{folder}", folder);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return import_sdk9.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
};

// src/generated-admin/FileUploadAdminApi.ts
function FileUploadAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = import_sdk10.ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function createFile_ByUserId(userId, queryParams) {
    const $ = new FileUploadAdmin$(import_sdk10.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createFile_ByUserId(userId, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createFile_ByFolder(folder, queryParams) {
    const $ = new FileUploadAdmin$(import_sdk10.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createFile_ByFolder(folder, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createFile_ByUserId,
    createFile_ByFolder
  };
}

// src/generated-admin/AnonymizationAdminApi.ts
var import_sdk12 = require("@accelbyte/sdk");

// src/generated-admin/endpoints/AnonymizationAdmin$.ts
var import_sdk11 = require("@accelbyte/sdk");
var import_zod20 = require("zod");
var AnonymizationAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  deleteAnonymizationProfile_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/anonymization/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return import_sdk11.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod20.z.unknown(), "z.unknown()");
  }
};

// src/generated-admin/AnonymizationAdminApi.ts
function AnonymizationAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = import_sdk12.ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function deleteAnonymizationProfile_ByUserId(userId) {
    const $ = new AnonymizationAdmin$(import_sdk12.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.deleteAnonymizationProfile_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    deleteAnonymizationProfile_ByUserId
  };
}

// src/generated-public/MiscApi.ts
var import_sdk14 = require("@accelbyte/sdk");

// src/generated-public/endpoints/Misc$.ts
var import_sdk13 = require("@accelbyte/sdk");
var import_zod22 = require("zod");

// src/generated-definitions/RetrieveTimeResponse.ts
var import_zod21 = require("zod");
var RetrieveTimeResponse = import_zod21.z.object({ currentTime: import_zod21.z.string().nullish() });

// src/generated-public/endpoints/Misc$.ts
var Misc$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  getMiscTime() {
    const params = {};
    const url = "/basic/v1/public/misc/time";
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk13.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, RetrieveTimeResponse, "RetrieveTimeResponse");
  }
  getMiscCountries_DEPRECATED(queryParams) {
    const params = { lang: "en", ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/misc/countries".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk13.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, CountryObjectArray, "CountryObjectArray");
  }
  getMiscLanguages() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/misc/languages".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk13.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod22.z.unknown(), "z.unknown()");
  }
  getMiscTimezones() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/misc/timezones".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk13.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod22.z.unknown(), "z.unknown()");
  }
};

// src/generated-public/MiscApi.ts
function MiscApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = import_sdk14.ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function getMiscTime() {
    const $ = new Misc$(import_sdk14.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscTime();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscCountries_DEPRECATED(queryParams) {
    const $ = new Misc$(import_sdk14.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscCountries_DEPRECATED(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscLanguages() {
    const $ = new Misc$(import_sdk14.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscLanguages();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscTimezones() {
    const $ = new Misc$(import_sdk14.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscTimezones();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getMiscTime,
    getMiscCountries_DEPRECATED,
    getMiscLanguages,
    getMiscTimezones
  };
}

// src/generated-public/NamespaceApi.ts
var import_sdk16 = require("@accelbyte/sdk");

// src/generated-public/endpoints/Namespace$.ts
var import_sdk15 = require("@accelbyte/sdk");

// src/generated-definitions/NamespaceSimpleInfo.ts
var import_zod23 = require("zod");
var NamespaceSimpleInfo = import_zod23.z.object({ displayName: import_zod23.z.string() });

// src/generated-public/endpoints/Namespace$.ts
var Namespace$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  getNamespaces(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces";
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk15.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
  }
  getNamespace_ByNamespace() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk15.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceSimpleInfo, "NamespaceSimpleInfo");
  }
  getPublisher() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/publisher".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk15.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      NamespacePublisherInfo,
      "NamespacePublisherInfo"
    );
  }
};

// src/generated-public/NamespaceApi.ts
function NamespaceApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = import_sdk16.ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function getNamespaces(queryParams) {
    const $ = new Namespace$(import_sdk16.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getNamespaces(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getNamespace_ByNamespace() {
    const $ = new Namespace$(import_sdk16.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getNamespace_ByNamespace();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisher() {
    const $ = new Namespace$(import_sdk16.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getPublisher();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getNamespaces,
    getNamespace_ByNamespace,
    getPublisher
  };
}

// src/generated-public/UserProfileApi.ts
var import_sdk18 = require("@accelbyte/sdk");

// src/generated-public/endpoints/UserProfile$.ts
var import_sdk17 = require("@accelbyte/sdk");
var import_zod25 = require("zod");

// src/generated-definitions/UserZipCode.ts
var import_zod24 = require("zod");
var UserZipCode = import_zod24.z.object({ zipCode: import_zod24.z.string().nullish() });

// src/generated-public/endpoints/UserProfile$.ts
var UserProfile$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  getProfilesPublic(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk17.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePublicInfoArray,
      "UserProfilePublicInfoArray"
    );
  }
  createProfilePublic(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return import_sdk17.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePublicInfoArray,
      "UserProfilePublicInfoArray"
    );
  }
  getUsersMeProfiles() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk17.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  createUserMeProfile(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return import_sdk17.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  updateUserMeProfile(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return import_sdk17.Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  getProfiles_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  createProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  updateProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  getUsersMeProfilesZipCode() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/zipCode".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserZipCode, "UserZipCode");
  }
  patchUserMeProfileZipCode(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/zipCode".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserZipCode, "UserZipCode");
  }
  getProfilesPublicByPublicId(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public/byPublicId".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfilePublicInfo, "UserProfilePublicInfo");
  }
  getProfilesPublic_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/public".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfilePublicInfo, "UserProfilePublicInfo");
  }
  patchProfileStatus_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/status".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  getProfilesCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod25.z.unknown(), "z.unknown()");
  }
  updateProfileCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod25.z.unknown(), "z.unknown()");
  }
  getUsersMeProfilesPrivateCustomAttributes() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/privateCustomAttributes".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod25.z.unknown(), "z.unknown()");
  }
  updateUserMeProfilePrivateCustomAttribute(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/privateCustomAttributes".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return import_sdk17.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, import_zod25.z.unknown(), "z.unknown()");
  }
};

// src/generated-public/UserProfileApi.ts
function UserProfileApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = import_sdk18.ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function getProfilesPublic(queryParams) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesPublic(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createProfilePublic(data) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createProfilePublic(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfiles() {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getUsersMeProfiles();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createUserMeProfile(data) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createUserMeProfile(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateUserMeProfile(data) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateUserMeProfile(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfiles_ByUserId(userId) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfiles_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createProfile_ByUserId(userId, data) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfile_ByUserId(userId, data) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfilesZipCode() {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getUsersMeProfilesZipCode();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchUserMeProfileZipCode(data) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchUserMeProfileZipCode(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPublicByPublicId(queryParams) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesPublicByPublicId(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPublic_ByUserId(userId) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesPublic_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchProfileStatus_ByUserId(userId, data) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchProfileStatus_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesCustomAttributes_ByUserId(userId) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfileCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateProfileCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfilesPrivateCustomAttributes() {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getUsersMeProfilesPrivateCustomAttributes();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateUserMeProfilePrivateCustomAttribute(data) {
    const $ = new UserProfile$(import_sdk18.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateUserMeProfilePrivateCustomAttribute(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getProfilesPublic,
    createProfilePublic,
    getUsersMeProfiles,
    createUserMeProfile,
    updateUserMeProfile,
    getProfiles_ByUserId,
    createProfile_ByUserId,
    updateProfile_ByUserId,
    getUsersMeProfilesZipCode,
    patchUserMeProfileZipCode,
    getProfilesPublicByPublicId,
    getProfilesPublic_ByUserId,
    patchProfileStatus_ByUserId,
    getProfilesCustomAttributes_ByUserId,
    updateProfileCustomAttribute_ByUserId,
    getUsersMeProfilesPrivateCustomAttributes,
    updateUserMeProfilePrivateCustomAttribute
  };
}

// src/generated-public/FileUploadApi.ts
var import_sdk20 = require("@accelbyte/sdk");

// src/generated-public/endpoints/FileUpload$.ts
var import_sdk19 = require("@accelbyte/sdk");
var FileUpload$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  createFile_ByUserId(userId, queryParams) {
    const params = { category: "default", ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/files".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return import_sdk19.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
  createFile_ByFolder(folder, queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/folders/{folder}/files".replace("{namespace}", this.namespace).replace("{folder}", folder);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return import_sdk19.Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
};

// src/generated-public/FileUploadApi.ts
function FileUploadApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = import_sdk20.ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function createFile_ByUserId(userId, queryParams) {
    const $ = new FileUpload$(import_sdk20.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createFile_ByUserId(userId, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createFile_ByFolder(folder, queryParams) {
    const $ = new FileUpload$(import_sdk20.Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createFile_ByFolder(folder, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createFile_ByUserId,
    createFile_ByFolder
  };
}

// src/Basic.ts
var apis = {
  NamespaceAdminApi,
  ConfigAdminApi,
  MiscAdminApi,
  UserProfileAdminApi,
  FileUploadAdminApi,
  AnonymizationAdminApi,
  MiscApi,
  NamespaceApi,
  UserProfileApi,
  FileUploadApi
};
var Basic = apis;

// src/generated-definitions/AddCountryGroupRequest.ts
var import_zod26 = require("zod");
var AddCountryGroupRequest = import_zod26.z.object({
  countries: import_zod26.z.array(CountryObject).nullish(),
  countryGroupCode: import_zod26.z.string().nullish(),
  countryGroupName: import_zod26.z.string().nullish()
});

// src/generated-definitions/ConfigCreate.ts
var import_zod27 = require("zod");
var ConfigCreate = import_zod27.z.object({ key: import_zod27.z.string(), value: import_zod27.z.string() });

// src/generated-definitions/ConfigUpdate.ts
var import_zod28 = require("zod");
var ConfigUpdate = import_zod28.z.object({ value: import_zod28.z.string() });

// src/generated-definitions/ErrorEntity.ts
var import_zod30 = require("zod");

// src/generated-definitions/Permission.ts
var import_zod29 = require("zod");
var Permission = import_zod29.z.object({ action: import_zod29.z.number().int().nullish(), resource: import_zod29.z.string().nullish() });

// src/generated-definitions/ErrorEntity.ts
var ErrorEntity = import_zod30.z.object({
  devStackTrace: import_zod30.z.string().nullish(),
  errorCode: import_zod30.z.number().int(),
  errorMessage: import_zod30.z.string(),
  messageVariables: import_zod30.z.record(import_zod30.z.string()).nullish(),
  requiredPermission: Permission.nullish()
});

// src/generated-definitions/FieldValidationError.ts
var import_zod31 = require("zod");
var FieldValidationError = import_zod31.z.object({
  errorCode: import_zod31.z.string().nullish(),
  errorField: import_zod31.z.string().nullish(),
  errorMessage: import_zod31.z.string().nullish(),
  errorValue: import_zod31.z.string().nullish(),
  messageVariables: import_zod31.z.record(import_zod31.z.string()).nullish()
});

// src/generated-definitions/NamespaceCreate.ts
var import_zod32 = require("zod");
var NamespaceCreate = import_zod32.z.object({ displayName: import_zod32.z.string(), namespace: import_zod32.z.string() });

// src/generated-definitions/NamespaceStatusUpdate.ts
var import_zod33 = require("zod");
var NamespaceStatusUpdate = import_zod33.z.object({ status: import_zod33.z.enum(["ACTIVE", "INACTIVE"]) });

// src/generated-definitions/NamespaceUpdate.ts
var import_zod34 = require("zod");
var NamespaceUpdate = import_zod34.z.object({ displayName: import_zod34.z.string() });

// src/generated-definitions/UpdateCountryGroupRequest.ts
var import_zod35 = require("zod");
var UpdateCountryGroupRequest = import_zod35.z.object({ countries: import_zod35.z.array(CountryObject).nullish(), countryGroupName: import_zod35.z.string().nullish() });

// src/generated-definitions/UserProfileAdmin.ts
var import_zod36 = require("zod");
var UserProfileAdmin = import_zod36.z.object({
  avatarLargeUrl: import_zod36.z.string().nullish(),
  avatarSmallUrl: import_zod36.z.string().nullish(),
  avatarUrl: import_zod36.z.string().nullish(),
  customAttributes: import_zod36.z.record(import_zod36.z.any()).nullish(),
  dateOfBirth: import_zod36.z.string().nullish(),
  firstName: import_zod36.z.string().nullish(),
  language: import_zod36.z.string().nullish(),
  lastName: import_zod36.z.string().nullish(),
  privateCustomAttributes: import_zod36.z.record(import_zod36.z.any()).nullish(),
  status: import_zod36.z.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: import_zod36.z.string().nullish(),
  zipCode: import_zod36.z.string().nullish()
});

// src/generated-definitions/UserProfileBulkRequest.ts
var import_zod37 = require("zod");
var UserProfileBulkRequest = import_zod37.z.object({ userIds: import_zod37.z.array(import_zod37.z.string()).nullish() });

// src/generated-definitions/UserProfileCreate.ts
var import_zod38 = require("zod");
var UserProfileCreate = import_zod38.z.object({
  avatarLargeUrl: import_zod38.z.string().nullish(),
  avatarSmallUrl: import_zod38.z.string().nullish(),
  avatarUrl: import_zod38.z.string().nullish(),
  customAttributes: import_zod38.z.record(import_zod38.z.any()).nullish(),
  dateOfBirth: import_zod38.z.string().nullish(),
  firstName: import_zod38.z.string().nullish(),
  language: import_zod38.z.string().nullish(),
  lastName: import_zod38.z.string().nullish(),
  timeZone: import_zod38.z.string().nullish()
});

// src/generated-definitions/UserProfilePrivateCreate.ts
var import_zod39 = require("zod");
var UserProfilePrivateCreate = import_zod39.z.object({
  avatarLargeUrl: import_zod39.z.string().nullish(),
  avatarSmallUrl: import_zod39.z.string().nullish(),
  avatarUrl: import_zod39.z.string().nullish(),
  customAttributes: import_zod39.z.record(import_zod39.z.any()).nullish(),
  dateOfBirth: import_zod39.z.string().nullish(),
  firstName: import_zod39.z.string().nullish(),
  language: import_zod39.z.string().nullish(),
  lastName: import_zod39.z.string().nullish(),
  privateCustomAttributes: import_zod39.z.record(import_zod39.z.any()).nullish(),
  timeZone: import_zod39.z.string().nullish()
});

// src/generated-definitions/UserProfileStatusUpdate.ts
var import_zod40 = require("zod");
var UserProfileStatusUpdate = import_zod40.z.object({ status: import_zod40.z.enum(["ACTIVE", "INACTIVE"]) });

// src/generated-definitions/UserProfileUpdate.ts
var import_zod41 = require("zod");
var UserProfileUpdate = import_zod41.z.object({
  avatarLargeUrl: import_zod41.z.string().nullish(),
  avatarSmallUrl: import_zod41.z.string().nullish(),
  avatarUrl: import_zod41.z.string().nullish(),
  customAttributes: import_zod41.z.record(import_zod41.z.any()).nullish(),
  dateOfBirth: import_zod41.z.string().nullish(),
  firstName: import_zod41.z.string().nullish(),
  language: import_zod41.z.string().nullish(),
  lastName: import_zod41.z.string().nullish(),
  privateCustomAttributes: import_zod41.z.record(import_zod41.z.any()).nullish(),
  timeZone: import_zod41.z.string().nullish(),
  zipCode: import_zod41.z.string().nullish()
});

// src/generated-definitions/UserZipCodeUpdate.ts
var import_zod42 = require("zod");
var UserZipCodeUpdate = import_zod42.z.object({ zipCode: import_zod42.z.string() });

// src/generated-definitions/ValidationErrorEntity.ts
var import_zod43 = require("zod");
var ValidationErrorEntity = import_zod43.z.object({
  errorCode: import_zod43.z.number().int(),
  errorMessage: import_zod43.z.string(),
  errors: import_zod43.z.array(FieldValidationError).nullish()
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  AddCountryGroupRequest,
  AddCountryGroupResponse,
  AnonymizationAdmin$,
  AnonymizationAdminApi,
  Basic,
  ConfigAdmin$,
  ConfigAdminApi,
  ConfigCreate,
  ConfigInfo,
  ConfigUpdate,
  CountryGroupObject,
  CountryObject,
  CountryObjectArray,
  ErrorEntity,
  FieldValidationError,
  FileUpload$,
  FileUploadAdmin$,
  FileUploadAdminApi,
  FileUploadApi,
  FileUploadUrlInfo,
  Misc$,
  MiscAdmin$,
  MiscAdminApi,
  MiscApi,
  Namespace$,
  NamespaceAdmin$,
  NamespaceAdminApi,
  NamespaceApi,
  NamespaceContext,
  NamespaceCreate,
  NamespaceInfo,
  NamespaceInfoArray,
  NamespacePublisherInfo,
  NamespaceSimpleInfo,
  NamespaceStatusUpdate,
  NamespaceUpdate,
  Permission,
  RetrieveCountryGroupResponse,
  RetrieveCountryGroupResponseArray,
  RetrieveTimeResponse,
  UpdateCountryGroupRequest,
  UserProfile$,
  UserProfileAdmin,
  UserProfileAdmin$,
  UserProfileAdminApi,
  UserProfileApi,
  UserProfileBulkRequest,
  UserProfileCreate,
  UserProfileInfo,
  UserProfilePrivateCreate,
  UserProfilePrivateInfo,
  UserProfilePublicInfo,
  UserProfilePublicInfoArray,
  UserProfileStatusUpdate,
  UserProfileUpdate,
  UserZipCode,
  UserZipCodeUpdate,
  ValidationErrorEntity
});
