// src/generated-admin/NamespaceAdminApi.ts
import { ApiUtils, Network } from "@accelbyte/sdk";

// src/generated-admin/endpoints/NamespaceAdmin$.ts
import { Validate } from "@accelbyte/sdk";

// src/generated-definitions/NamespaceContext.ts
import { z } from "zod";
var NamespaceContext = z.object({
  namespace: z.string().nullish(),
  publisherNamespace: z.string().nullish(),
  studioNamespace: z.string().nullish(),
  type: z.enum(["Game", "Publisher", "Studio"]).nullish()
});

// src/generated-definitions/NamespaceInfo.ts
import { z as z2 } from "zod";
var NamespaceInfo = z2.object({
  clientId: z2.string().nullish(),
  createdAt: z2.string().nullish(),
  displayName: z2.string(),
  namespace: z2.string(),
  parentNamespace: z2.string().nullish(),
  status: z2.enum(["ACTIVE", "DELETED", "INACTIVE"]).nullish(),
  updatedAt: z2.string().nullish()
});

// src/generated-definitions/NamespaceInfoArray.ts
import { z as z3 } from "zod";
var NamespaceInfoArray = z3.array(NamespaceInfo);

// src/generated-definitions/NamespacePublisherInfo.ts
import { z as z4 } from "zod";
var NamespacePublisherInfo = z4.object({ publisher: z4.boolean().nullish(), publisherNamespace: z4.string().nullish() });

// src/generated-admin/endpoints/NamespaceAdmin$.ts
var NamespaceAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  getNamespaces(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces";
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
  }
  createNamespace(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces";
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  deleteNamespace_ByNamespace() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  getNamespace_ByNamespace(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  getGame(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/game".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
  }
  patchBasic(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/basic".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  getChild(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/child".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
  }
  patchStatus(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/status".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfo, "NamespaceInfo");
  }
  getContext() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/context".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceContext, "NamespaceContext");
  }
  getPublisher() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/publisher".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      NamespacePublisherInfo,
      "NamespacePublisherInfo"
    );
  }
};

// src/generated-admin/NamespaceAdminApi.ts
function NamespaceAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = ApiUtils.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function getNamespaces(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getNamespaces(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createNamespace(data) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createNamespace(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteNamespace_ByNamespace() {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.deleteNamespace_ByNamespace();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getNamespace_ByNamespace(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getNamespace_ByNamespace(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getGame(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getGame(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchBasic(data) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchBasic(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getChild(queryParams) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getChild(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchStatus(data) {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchStatus(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getContext() {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getContext();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisher() {
    const $ = new NamespaceAdmin$(Network.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getPublisher();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getNamespaces,
    createNamespace,
    deleteNamespace_ByNamespace,
    getNamespace_ByNamespace,
    getGame,
    patchBasic,
    getChild,
    patchStatus,
    getContext,
    getPublisher
  };
}

// src/generated-admin/ConfigAdminApi.ts
import { ApiUtils as ApiUtils2, Network as Network2 } from "@accelbyte/sdk";

// src/generated-admin/endpoints/ConfigAdmin$.ts
import { Validate as Validate2 } from "@accelbyte/sdk";
import { z as z6 } from "zod";

// src/generated-definitions/ConfigInfo.ts
import { z as z5 } from "zod";
var ConfigInfo = z5.object({
  createdAt: z5.string().nullish(),
  key: z5.string().nullish(),
  namespace: z5.string().nullish(),
  updatedAt: z5.string().nullish(),
  value: z5.string().nullish()
});

// src/generated-admin/endpoints/ConfigAdmin$.ts
var ConfigAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  createConfig(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate2.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, ConfigInfo, "ConfigInfo");
  }
  deleteConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate2.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z6.unknown(), "z.unknown()");
  }
  getConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate2.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, ConfigInfo, "ConfigInfo");
  }
  patchConfig_ByConfigKey(configKey, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate2.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, ConfigInfo, "ConfigInfo");
  }
  getPublisherConfig_ByConfigKey(configKey) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/publisher/configs/{configKey}".replace("{namespace}", this.namespace).replace("{configKey}", configKey);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate2.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, ConfigInfo, "ConfigInfo");
  }
};

// src/generated-admin/ConfigAdminApi.ts
function ConfigAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = ApiUtils2.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function createConfig(data) {
    const $ = new ConfigAdmin$(Network2.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createConfig(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(Network2.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.deleteConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(Network2.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchConfig_ByConfigKey(configKey, data) {
    const $ = new ConfigAdmin$(Network2.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchConfig_ByConfigKey(configKey, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisherConfig_ByConfigKey(configKey) {
    const $ = new ConfigAdmin$(Network2.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getPublisherConfig_ByConfigKey(configKey);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createConfig,
    deleteConfig_ByConfigKey,
    getConfig_ByConfigKey,
    patchConfig_ByConfigKey,
    getPublisherConfig_ByConfigKey
  };
}

// src/generated-admin/MiscAdminApi.ts
import { ApiUtils as ApiUtils3, Network as Network3 } from "@accelbyte/sdk";

// src/generated-admin/endpoints/MiscAdmin$.ts
import { Validate as Validate3 } from "@accelbyte/sdk";
import { z as z13 } from "zod";

// src/generated-definitions/AddCountryGroupResponse.ts
import { z as z8 } from "zod";

// src/generated-definitions/CountryObject.ts
import { z as z7 } from "zod";
var CountryObject = z7.object({ code: z7.string().nullish(), name: z7.string().nullish() });

// src/generated-definitions/AddCountryGroupResponse.ts
var AddCountryGroupResponse = z8.object({
  countries: z8.array(CountryObject).nullish(),
  countryGroupCode: z8.string().nullish(),
  countryGroupName: z8.string().nullish()
});

// src/generated-definitions/CountryGroupObject.ts
import { z as z9 } from "zod";
var CountryGroupObject = z9.object({
  countries: z9.array(CountryObject).nullish(),
  countryGroupCode: z9.string().nullish(),
  countryGroupName: z9.string().nullish()
});

// src/generated-definitions/CountryObjectArray.ts
import { z as z10 } from "zod";
var CountryObjectArray = z10.array(CountryObject);

// src/generated-definitions/RetrieveCountryGroupResponseArray.ts
import { z as z12 } from "zod";

// src/generated-definitions/RetrieveCountryGroupResponse.ts
import { z as z11 } from "zod";
var RetrieveCountryGroupResponse = z11.object({
  countries: z11.array(CountryObject).nullish(),
  countryGroupCode: z11.string().nullish(),
  countryGroupName: z11.string().nullish()
});

// src/generated-definitions/RetrieveCountryGroupResponseArray.ts
var RetrieveCountryGroupResponseArray = z12.array(RetrieveCountryGroupResponse);

// src/generated-admin/endpoints/MiscAdmin$.ts
var MiscAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  getMiscCountries_DEPRECATED(queryParams) {
    const params = { lang: "en", ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countries".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate3.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, CountryObjectArray, "CountryObjectArray");
  }
  getMiscLanguages() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/languages".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate3.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z13.unknown(), "z.unknown()");
  }
  getMiscTimezones() {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/timezones".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate3.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z13.unknown(), "z.unknown()");
  }
  getMiscCountrygroups(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate3.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      RetrieveCountryGroupResponseArray,
      "RetrieveCountryGroupResponseArray"
    );
  }
  createMiscCountrygroup(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate3.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      AddCountryGroupResponse,
      "AddCountryGroupResponse"
    );
  }
  deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups/{countryGroupCode}".replace("{namespace}", this.namespace).replace("{countryGroupCode}", countryGroupCode);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate3.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z13.unknown(), "z.unknown()");
  }
  updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/misc/countrygroups/{countryGroupCode}".replace("{namespace}", this.namespace).replace("{countryGroupCode}", countryGroupCode);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate3.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, CountryGroupObject, "CountryGroupObject");
  }
};

// src/generated-admin/MiscAdminApi.ts
function MiscAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = ApiUtils3.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function getMiscCountries_DEPRECATED(queryParams) {
    const $ = new MiscAdmin$(Network3.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscCountries_DEPRECATED(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscLanguages() {
    const $ = new MiscAdmin$(Network3.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscLanguages();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscTimezones() {
    const $ = new MiscAdmin$(Network3.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscTimezones();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscCountrygroups(queryParams) {
    const $ = new MiscAdmin$(Network3.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscCountrygroups(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createMiscCountrygroup(data) {
    const $ = new MiscAdmin$(Network3.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createMiscCountrygroup(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode) {
    const $ = new MiscAdmin$(Network3.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.deleteMiscCountrygroup_ByCountryGroupCode(countryGroupCode);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data) {
    const $ = new MiscAdmin$(Network3.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateMiscCountrygroup_ByCountryGroupCode(countryGroupCode, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getMiscCountries_DEPRECATED,
    getMiscLanguages,
    getMiscTimezones,
    getMiscCountrygroups,
    createMiscCountrygroup,
    deleteMiscCountrygroup_ByCountryGroupCode,
    updateMiscCountrygroup_ByCountryGroupCode
  };
}

// src/generated-admin/UserProfileAdminApi.ts
import { ApiUtils as ApiUtils4, Network as Network4 } from "@accelbyte/sdk";

// src/generated-admin/endpoints/UserProfileAdmin$.ts
import { Validate as Validate4 } from "@accelbyte/sdk";
import { z as z18 } from "zod";

// src/generated-definitions/UserProfileInfo.ts
import { z as z14 } from "zod";
var UserProfileInfo = z14.object({
  avatarLargeUrl: z14.string().nullish(),
  avatarSmallUrl: z14.string().nullish(),
  avatarUrl: z14.string().nullish(),
  customAttributes: z14.record(z14.any()).nullish(),
  dateOfBirth: z14.string().nullish(),
  firstName: z14.string().nullish(),
  language: z14.string().nullish(),
  lastName: z14.string().nullish(),
  namespace: z14.string().nullish(),
  publicId: z14.string().nullish(),
  status: z14.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z14.string().nullish(),
  userId: z14.string().nullish(),
  zipCode: z14.string().nullish()
});

// src/generated-definitions/UserProfilePrivateInfo.ts
import { z as z15 } from "zod";
var UserProfilePrivateInfo = z15.object({
  avatarLargeUrl: z15.string().nullish(),
  avatarSmallUrl: z15.string().nullish(),
  avatarUrl: z15.string().nullish(),
  customAttributes: z15.record(z15.any()).nullish(),
  dateOfBirth: z15.string().nullish(),
  firstName: z15.string().nullish(),
  language: z15.string().nullish(),
  lastName: z15.string().nullish(),
  namespace: z15.string().nullish(),
  privateCustomAttributes: z15.record(z15.any()).nullish(),
  publicId: z15.string().nullish(),
  status: z15.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z15.string().nullish(),
  userId: z15.string().nullish(),
  zipCode: z15.string().nullish()
});

// src/generated-definitions/UserProfilePublicInfoArray.ts
import { z as z17 } from "zod";

// src/generated-definitions/UserProfilePublicInfo.ts
import { z as z16 } from "zod";
var UserProfilePublicInfo = z16.object({
  avatarLargeUrl: z16.string().nullish(),
  avatarSmallUrl: z16.string().nullish(),
  avatarUrl: z16.string().nullish(),
  customAttributes: z16.record(z16.any()).nullish(),
  namespace: z16.string().nullish(),
  publicId: z16.string().nullish(),
  timeZone: z16.string().nullish(),
  userId: z16.string().nullish()
});

// src/generated-definitions/UserProfilePublicInfoArray.ts
var UserProfilePublicInfoArray = z17.array(UserProfilePublicInfo);

// src/generated-admin/endpoints/UserProfileAdmin$.ts
var UserProfileAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  createProfilePublic(data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate4.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePublicInfoArray,
      "UserProfilePublicInfoArray"
    );
  }
  getProfilesByPublicId(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/profiles/byPublicId".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate4.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  deleteProfile_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate4.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  getProfiles_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate4.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  updateProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate4.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  patchProfileStatus_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/status".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate4.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  getProfilesCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate4.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z18.unknown(), "z.unknown()");
  }
  updateProfileCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate4.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z18.unknown(), "z.unknown()");
  }
  getProfilesPrivateCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/privateCustomAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate4.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z18.unknown(), "z.unknown()");
  }
  updateProfilePrivateCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/profiles/privateCustomAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate4.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z18.unknown(), "z.unknown()");
  }
};

// src/generated-admin/UserProfileAdminApi.ts
function UserProfileAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = ApiUtils4.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function createProfilePublic(data) {
    const $ = new UserProfileAdmin$(Network4.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createProfilePublic(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesByPublicId(queryParams) {
    const $ = new UserProfileAdmin$(Network4.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesByPublicId(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function deleteProfile_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network4.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.deleteProfile_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfiles_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network4.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfiles_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfile_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network4.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchProfileStatus_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network4.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchProfileStatus_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesCustomAttributes_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network4.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfileCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network4.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateProfileCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPrivateCustomAttributes_ByUserId(userId) {
    const $ = new UserProfileAdmin$(Network4.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesPrivateCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfilePrivateCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfileAdmin$(Network4.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateProfilePrivateCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createProfilePublic,
    getProfilesByPublicId,
    deleteProfile_ByUserId,
    getProfiles_ByUserId,
    updateProfile_ByUserId,
    patchProfileStatus_ByUserId,
    getProfilesCustomAttributes_ByUserId,
    updateProfileCustomAttribute_ByUserId,
    getProfilesPrivateCustomAttributes_ByUserId,
    updateProfilePrivateCustomAttribute_ByUserId
  };
}

// src/generated-admin/FileUploadAdminApi.ts
import { ApiUtils as ApiUtils5, Network as Network5 } from "@accelbyte/sdk";

// src/generated-admin/endpoints/FileUploadAdmin$.ts
import { Validate as Validate5 } from "@accelbyte/sdk";

// src/generated-definitions/FileUploadUrlInfo.ts
import { z as z19 } from "zod";
var FileUploadUrlInfo = z19.object({
  accessUrl: z19.string().nullish(),
  contentType: z19.string().nullish(),
  method: z19.string().nullish(),
  url: z19.string().nullish()
});

// src/generated-admin/endpoints/FileUploadAdmin$.ts
var FileUploadAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  createFile_ByUserId(userId, queryParams) {
    const params = { category: "default", ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/files".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return Validate5.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
  createFile_ByFolder(folder, queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/admin/namespaces/{namespace}/folders/{folder}/files".replace("{namespace}", this.namespace).replace("{folder}", folder);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return Validate5.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
};

// src/generated-admin/FileUploadAdminApi.ts
function FileUploadAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = ApiUtils5.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function createFile_ByUserId(userId, queryParams) {
    const $ = new FileUploadAdmin$(Network5.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createFile_ByUserId(userId, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createFile_ByFolder(folder, queryParams) {
    const $ = new FileUploadAdmin$(Network5.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createFile_ByFolder(folder, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createFile_ByUserId,
    createFile_ByFolder
  };
}

// src/generated-admin/AnonymizationAdminApi.ts
import { ApiUtils as ApiUtils6, Network as Network6 } from "@accelbyte/sdk";

// src/generated-admin/endpoints/AnonymizationAdmin$.ts
import { Validate as Validate6 } from "@accelbyte/sdk";
import { z as z20 } from "zod";
var AnonymizationAdmin$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  deleteAnonymizationProfile_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/admin/namespaces/{namespace}/users/{userId}/anonymization/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.delete(url, { params });
    return Validate6.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z20.unknown(), "z.unknown()");
  }
};

// src/generated-admin/AnonymizationAdminApi.ts
function AnonymizationAdminApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = ApiUtils6.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function deleteAnonymizationProfile_ByUserId(userId) {
    const $ = new AnonymizationAdmin$(Network6.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.deleteAnonymizationProfile_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    deleteAnonymizationProfile_ByUserId
  };
}

// src/generated-public/MiscApi.ts
import { ApiUtils as ApiUtils7, Network as Network7 } from "@accelbyte/sdk";

// src/generated-public/endpoints/Misc$.ts
import { Validate as Validate7 } from "@accelbyte/sdk";
import { z as z22 } from "zod";

// src/generated-definitions/RetrieveTimeResponse.ts
import { z as z21 } from "zod";
var RetrieveTimeResponse = z21.object({ currentTime: z21.string().nullish() });

// src/generated-public/endpoints/Misc$.ts
var Misc$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  getMiscTime() {
    const params = {};
    const url = "/basic/v1/public/misc/time";
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate7.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, RetrieveTimeResponse, "RetrieveTimeResponse");
  }
  getMiscCountries_DEPRECATED(queryParams) {
    const params = { lang: "en", ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/misc/countries".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate7.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, CountryObjectArray, "CountryObjectArray");
  }
  getMiscLanguages() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/misc/languages".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate7.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z22.unknown(), "z.unknown()");
  }
  getMiscTimezones() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/misc/timezones".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate7.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z22.unknown(), "z.unknown()");
  }
};

// src/generated-public/MiscApi.ts
function MiscApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = ApiUtils7.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function getMiscTime() {
    const $ = new Misc$(Network7.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscTime();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscCountries_DEPRECATED(queryParams) {
    const $ = new Misc$(Network7.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscCountries_DEPRECATED(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscLanguages() {
    const $ = new Misc$(Network7.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscLanguages();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscTimezones() {
    const $ = new Misc$(Network7.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getMiscTimezones();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getMiscTime,
    getMiscCountries_DEPRECATED,
    getMiscLanguages,
    getMiscTimezones
  };
}

// src/generated-public/NamespaceApi.ts
import { ApiUtils as ApiUtils8, Network as Network8 } from "@accelbyte/sdk";

// src/generated-public/endpoints/Namespace$.ts
import { Validate as Validate8 } from "@accelbyte/sdk";

// src/generated-definitions/NamespaceSimpleInfo.ts
import { z as z23 } from "zod";
var NamespaceSimpleInfo = z23.object({ displayName: z23.string() });

// src/generated-public/endpoints/Namespace$.ts
var Namespace$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  getNamespaces(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces";
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate8.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
  }
  getNamespace_ByNamespace() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate8.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, NamespaceSimpleInfo, "NamespaceSimpleInfo");
  }
  getPublisher() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/publisher".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate8.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      NamespacePublisherInfo,
      "NamespacePublisherInfo"
    );
  }
};

// src/generated-public/NamespaceApi.ts
function NamespaceApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = ApiUtils8.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function getNamespaces(queryParams) {
    const $ = new Namespace$(Network8.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getNamespaces(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getNamespace_ByNamespace() {
    const $ = new Namespace$(Network8.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getNamespace_ByNamespace();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisher() {
    const $ = new Namespace$(Network8.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getPublisher();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getNamespaces,
    getNamespace_ByNamespace,
    getPublisher
  };
}

// src/generated-public/UserProfileApi.ts
import { ApiUtils as ApiUtils9, Network as Network9 } from "@accelbyte/sdk";

// src/generated-public/endpoints/UserProfile$.ts
import { Validate as Validate9 } from "@accelbyte/sdk";
import { z as z25 } from "zod";

// src/generated-definitions/UserZipCode.ts
import { z as z24 } from "zod";
var UserZipCode = z24.object({ zipCode: z24.string().nullish() });

// src/generated-public/endpoints/UserProfile$.ts
var UserProfile$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  getProfilesPublic(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate9.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePublicInfoArray,
      "UserProfilePublicInfoArray"
    );
  }
  createProfilePublic(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate9.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePublicInfoArray,
      "UserProfilePublicInfoArray"
    );
  }
  getUsersMeProfiles() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate9.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  createUserMeProfile(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate9.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  updateUserMeProfile(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate9.validateOrReturnResponse(
      this.useSchemaValidation,
      () => resultPromise,
      UserProfilePrivateInfo,
      "UserProfilePrivateInfo"
    );
  }
  getProfiles_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  createProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  updateProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  getUsersMeProfilesZipCode() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/zipCode".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserZipCode, "UserZipCode");
  }
  patchUserMeProfileZipCode(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/zipCode".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserZipCode, "UserZipCode");
  }
  getProfilesPublicByPublicId(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public/byPublicId".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfilePublicInfo, "UserProfilePublicInfo");
  }
  getProfilesPublic_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/public".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfilePublicInfo, "UserProfilePublicInfo");
  }
  patchProfileStatus_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/status".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  getProfilesCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z25.unknown(), "z.unknown()");
  }
  updateProfileCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z25.unknown(), "z.unknown()");
  }
  getUsersMeProfilesPrivateCustomAttributes() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/privateCustomAttributes".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z25.unknown(), "z.unknown()");
  }
  updateUserMeProfilePrivateCustomAttribute(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/privateCustomAttributes".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate9.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, z25.unknown(), "z.unknown()");
  }
};

// src/generated-public/UserProfileApi.ts
function UserProfileApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = ApiUtils9.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function getProfilesPublic(queryParams) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesPublic(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createProfilePublic(data) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createProfilePublic(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfiles() {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getUsersMeProfiles();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createUserMeProfile(data) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createUserMeProfile(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateUserMeProfile(data) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateUserMeProfile(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfiles_ByUserId(userId) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfiles_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createProfile_ByUserId(userId, data) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfile_ByUserId(userId, data) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfilesZipCode() {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getUsersMeProfilesZipCode();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchUserMeProfileZipCode(data) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchUserMeProfileZipCode(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPublicByPublicId(queryParams) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesPublicByPublicId(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPublic_ByUserId(userId) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesPublic_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchProfileStatus_ByUserId(userId, data) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.patchProfileStatus_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesCustomAttributes_ByUserId(userId) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getProfilesCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfileCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateProfileCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfilesPrivateCustomAttributes() {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.getUsersMeProfilesPrivateCustomAttributes();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateUserMeProfilePrivateCustomAttribute(data) {
    const $ = new UserProfile$(Network9.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.updateUserMeProfilePrivateCustomAttribute(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getProfilesPublic,
    createProfilePublic,
    getUsersMeProfiles,
    createUserMeProfile,
    updateUserMeProfile,
    getProfiles_ByUserId,
    createProfile_ByUserId,
    updateProfile_ByUserId,
    getUsersMeProfilesZipCode,
    patchUserMeProfileZipCode,
    getProfilesPublicByPublicId,
    getProfilesPublic_ByUserId,
    patchProfileStatus_ByUserId,
    getProfilesCustomAttributes_ByUserId,
    updateProfileCustomAttribute_ByUserId,
    getUsersMeProfilesPrivateCustomAttributes,
    updateUserMeProfilePrivateCustomAttribute
  };
}

// src/generated-public/FileUploadApi.ts
import { ApiUtils as ApiUtils10, Network as Network10 } from "@accelbyte/sdk";

// src/generated-public/endpoints/FileUpload$.ts
import { Validate as Validate10 } from "@accelbyte/sdk";
var FileUpload$ = class {
  constructor(axiosInstance, namespace, useSchemaValidation = true) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.useSchemaValidation = useSchemaValidation;
  }
  createFile_ByUserId(userId, queryParams) {
    const params = { category: "default", ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/files".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return Validate10.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
  createFile_ByFolder(folder, queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/folders/{folder}/files".replace("{namespace}", this.namespace).replace("{folder}", folder);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return Validate10.validateOrReturnResponse(this.useSchemaValidation, () => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
};

// src/generated-public/FileUploadApi.ts
function FileUploadApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const requestConfig = ApiUtils10.mergedConfigs(sdkAssembly.config, args);
  const useSchemaValidation = sdkAssembly.useSchemaValidation;
  async function createFile_ByUserId(userId, queryParams) {
    const $ = new FileUpload$(Network10.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createFile_ByUserId(userId, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createFile_ByFolder(folder, queryParams) {
    const $ = new FileUpload$(Network10.create(requestConfig), namespace, useSchemaValidation);
    const resp = await $.createFile_ByFolder(folder, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createFile_ByUserId,
    createFile_ByFolder
  };
}

// src/Basic.ts
var apis = {
  NamespaceAdminApi,
  ConfigAdminApi,
  MiscAdminApi,
  UserProfileAdminApi,
  FileUploadAdminApi,
  AnonymizationAdminApi,
  MiscApi,
  NamespaceApi,
  UserProfileApi,
  FileUploadApi
};
var Basic = apis;

// src/generated-definitions/AddCountryGroupRequest.ts
import { z as z26 } from "zod";
var AddCountryGroupRequest = z26.object({
  countries: z26.array(CountryObject).nullish(),
  countryGroupCode: z26.string().nullish(),
  countryGroupName: z26.string().nullish()
});

// src/generated-definitions/ConfigCreate.ts
import { z as z27 } from "zod";
var ConfigCreate = z27.object({ key: z27.string(), value: z27.string() });

// src/generated-definitions/ConfigUpdate.ts
import { z as z28 } from "zod";
var ConfigUpdate = z28.object({ value: z28.string() });

// src/generated-definitions/ErrorEntity.ts
import { z as z30 } from "zod";

// src/generated-definitions/Permission.ts
import { z as z29 } from "zod";
var Permission = z29.object({ action: z29.number().int().nullish(), resource: z29.string().nullish() });

// src/generated-definitions/ErrorEntity.ts
var ErrorEntity = z30.object({
  devStackTrace: z30.string().nullish(),
  errorCode: z30.number().int(),
  errorMessage: z30.string(),
  messageVariables: z30.record(z30.string()).nullish(),
  requiredPermission: Permission.nullish()
});

// src/generated-definitions/FieldValidationError.ts
import { z as z31 } from "zod";
var FieldValidationError = z31.object({
  errorCode: z31.string().nullish(),
  errorField: z31.string().nullish(),
  errorMessage: z31.string().nullish(),
  errorValue: z31.string().nullish(),
  messageVariables: z31.record(z31.string()).nullish()
});

// src/generated-definitions/NamespaceCreate.ts
import { z as z32 } from "zod";
var NamespaceCreate = z32.object({ displayName: z32.string(), namespace: z32.string() });

// src/generated-definitions/NamespaceStatusUpdate.ts
import { z as z33 } from "zod";
var NamespaceStatusUpdate = z33.object({ status: z33.enum(["ACTIVE", "INACTIVE"]) });

// src/generated-definitions/NamespaceUpdate.ts
import { z as z34 } from "zod";
var NamespaceUpdate = z34.object({ displayName: z34.string() });

// src/generated-definitions/UpdateCountryGroupRequest.ts
import { z as z35 } from "zod";
var UpdateCountryGroupRequest = z35.object({ countries: z35.array(CountryObject).nullish(), countryGroupName: z35.string().nullish() });

// src/generated-definitions/UserProfileAdmin.ts
import { z as z36 } from "zod";
var UserProfileAdmin = z36.object({
  avatarLargeUrl: z36.string().nullish(),
  avatarSmallUrl: z36.string().nullish(),
  avatarUrl: z36.string().nullish(),
  customAttributes: z36.record(z36.any()).nullish(),
  dateOfBirth: z36.string().nullish(),
  firstName: z36.string().nullish(),
  language: z36.string().nullish(),
  lastName: z36.string().nullish(),
  privateCustomAttributes: z36.record(z36.any()).nullish(),
  status: z36.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z36.string().nullish(),
  zipCode: z36.string().nullish()
});

// src/generated-definitions/UserProfileBulkRequest.ts
import { z as z37 } from "zod";
var UserProfileBulkRequest = z37.object({ userIds: z37.array(z37.string()).nullish() });

// src/generated-definitions/UserProfileCreate.ts
import { z as z38 } from "zod";
var UserProfileCreate = z38.object({
  avatarLargeUrl: z38.string().nullish(),
  avatarSmallUrl: z38.string().nullish(),
  avatarUrl: z38.string().nullish(),
  customAttributes: z38.record(z38.any()).nullish(),
  dateOfBirth: z38.string().nullish(),
  firstName: z38.string().nullish(),
  language: z38.string().nullish(),
  lastName: z38.string().nullish(),
  timeZone: z38.string().nullish()
});

// src/generated-definitions/UserProfilePrivateCreate.ts
import { z as z39 } from "zod";
var UserProfilePrivateCreate = z39.object({
  avatarLargeUrl: z39.string().nullish(),
  avatarSmallUrl: z39.string().nullish(),
  avatarUrl: z39.string().nullish(),
  customAttributes: z39.record(z39.any()).nullish(),
  dateOfBirth: z39.string().nullish(),
  firstName: z39.string().nullish(),
  language: z39.string().nullish(),
  lastName: z39.string().nullish(),
  privateCustomAttributes: z39.record(z39.any()).nullish(),
  timeZone: z39.string().nullish()
});

// src/generated-definitions/UserProfileStatusUpdate.ts
import { z as z40 } from "zod";
var UserProfileStatusUpdate = z40.object({ status: z40.enum(["ACTIVE", "INACTIVE"]) });

// src/generated-definitions/UserProfileUpdate.ts
import { z as z41 } from "zod";
var UserProfileUpdate = z41.object({
  avatarLargeUrl: z41.string().nullish(),
  avatarSmallUrl: z41.string().nullish(),
  avatarUrl: z41.string().nullish(),
  customAttributes: z41.record(z41.any()).nullish(),
  dateOfBirth: z41.string().nullish(),
  firstName: z41.string().nullish(),
  language: z41.string().nullish(),
  lastName: z41.string().nullish(),
  privateCustomAttributes: z41.record(z41.any()).nullish(),
  timeZone: z41.string().nullish(),
  zipCode: z41.string().nullish()
});

// src/generated-definitions/UserZipCodeUpdate.ts
import { z as z42 } from "zod";
var UserZipCodeUpdate = z42.object({ zipCode: z42.string() });

// src/generated-definitions/ValidationErrorEntity.ts
import { z as z43 } from "zod";
var ValidationErrorEntity = z43.object({
  errorCode: z43.number().int(),
  errorMessage: z43.string(),
  errors: z43.array(FieldValidationError).nullish()
});
export {
  AddCountryGroupRequest,
  AddCountryGroupResponse,
  AnonymizationAdmin$,
  AnonymizationAdminApi,
  Basic,
  ConfigAdmin$,
  ConfigAdminApi,
  ConfigCreate,
  ConfigInfo,
  ConfigUpdate,
  CountryGroupObject,
  CountryObject,
  CountryObjectArray,
  ErrorEntity,
  FieldValidationError,
  FileUpload$,
  FileUploadAdmin$,
  FileUploadAdminApi,
  FileUploadApi,
  FileUploadUrlInfo,
  Misc$,
  MiscAdmin$,
  MiscAdminApi,
  MiscApi,
  Namespace$,
  NamespaceAdmin$,
  NamespaceAdminApi,
  NamespaceApi,
  NamespaceContext,
  NamespaceCreate,
  NamespaceInfo,
  NamespaceInfoArray,
  NamespacePublisherInfo,
  NamespaceSimpleInfo,
  NamespaceStatusUpdate,
  NamespaceUpdate,
  Permission,
  RetrieveCountryGroupResponse,
  RetrieveCountryGroupResponseArray,
  RetrieveTimeResponse,
  UpdateCountryGroupRequest,
  UserProfile$,
  UserProfileAdmin,
  UserProfileAdmin$,
  UserProfileAdminApi,
  UserProfileApi,
  UserProfileBulkRequest,
  UserProfileCreate,
  UserProfileInfo,
  UserProfilePrivateCreate,
  UserProfilePrivateInfo,
  UserProfilePublicInfo,
  UserProfilePublicInfoArray,
  UserProfileStatusUpdate,
  UserProfileUpdate,
  UserZipCode,
  UserZipCodeUpdate,
  ValidationErrorEntity
};
